sol.JPG   


Earlier version of the Solution manger used to maintain SLD through SMSY transaction code. Since Solution Manger 7.1 on-wards SAP replaced SMSY with LMDB. As of now CR version of SLD should be at least 9.1 to configure LMDB.

I would like to explain you the step by step of solution manager SLD upgrade.

Pre-requisites:

  • Check the table space size of PSAPSR3DB ,Please keep at least 10 GB free size if you are upgrade version 4. to 9.1
  • Check the SLD service status( service should be in green status)
  • Take the backup SLD version before Upgrade.
  • Take the backup of the system.

Don’ts

  • Don’t stop the database or SLD service durning the upgrade.
  • Don’t closed the web browser during the upgrade.

Minimum  30 minutes required to complete the upgrade.

Read the SAPNote: 669669 – Update of SAP System Component Repository in SLD

Download the CR content according to your request.

Note: You cannot Upgrade from version4.0 to 9.1  You have to upgrade one by as per the order.


From 1.x to 2.0:

Support portal entry point: SAP MASTER DATA FOR SLD 1.0

End of maintenance reached; no longer available.

From 2.x to 3.0

Support portal entry point: SAP MASTER DATA FOR SLD 2.0

File name: CRDelta1418_0-10003379.ZIP

Comment: See below. Switch from 2.0 to 3.0

From 3.x to 4.0

Support portal entry point: SAP CR CONTENT UP TO 2007

File name: CRDelta1511_0-10004549.ZIP

From 4.x to 5.0

Support portal entry point: SAP CR CONTENT UP TO 2008

File name: CRDelta41514_0-10006428.ZIP

From 5.x to 6.0

Support portal entry point: SAP CR CONTENT UP TO 2009

File name: CRDelta51509_1-20005942.ZIP

From 6.x to 7.0

Support portal entry point: SAP CR CONTENT UP TO 2010

File name: CRDelta61610_0-20006535.ZIP

From 7.x to 8.0

Support portal entry point: SAP CR CONTENT UP TO 2011

File name: CRDelta71611_0-20008269.ZIP

From 8.x to 9.0

Support portal entry point: SAP CR CONTENT UP TO 2012

File name: CRDelta81612_0-20009730.ZIP

From 9.x to 10.0

Support portal entry point: SAP CR CONTENT UP TO 2013

File name: CRDelta91615_0-20010858.ZIP

From 10.x to 11.0

Support portal entry point: SAP CR CONTENT UP TO 2014

File name: CRDelta101613_0-20012029.ZIP

From 11.x to 11.y (latest version)

Support portal entry point: SAP CR CONTENT UP TO 2015

File name: CRDelta1116*.ZIP

Comment: Use the latest file.

              

Example: You are using the current CR Content 9.5. Download the latest data model cimsap….zip and the following files:

CRDelta91615_0-20010858.ZIP

CRDelta101613_0-20012029.ZIP

Also download the latest CRDelta1116*.ZIP file.

You must first download the current CIM model. find these under SAP CR Content…..

Go to the service marketplace  download software >>Support Package and Stacks>>> A -to Z index>> select C>>>

sm1.JPG

Check your CR version And download it…

sm2.JPG

Example: Your version is 2008.. and required version is 2014.. You need to download all version in between this.

Login to the SLD

http://<hostname.hostname>:<port>/sld

Administration>>> Details> Data  there you can seen the current version of CR content..

cr.JPG

Note: Download the cimsapxxxx and correspond crdelta xxxx

Import first Latest cimsapxxxx then crdelta one by one…

Update:

Login to the SLD: Administration >>> content Import:::

imp.JPG

Select the proper version of the cissapxxx and import

brows the file and  select the file and import: if the file is not compatible throw an error message (Import anyway) ( Cancel the Import..)

cancel the import and select the proper version of CR, otherwise your SLD database is inconsistent mode.


1.JPG

2.JPG

Click the import::; import will start………….

3.JPG

4.JPG

If the below error occur increase the table space of  PSAPSR3DB  and continue the import from the beginning, the same file…

err.JPG

5.JPG

Finished You can see the CR version on  Administration >>> details >> Data..

Thanks

Yoonus

To report this post you need to login first.

1 Comment

You must be Logged on to comment or reply to a post.

  1. Rafael Schostek

    Hello Yoonus,

     

    Thanks for the instructions.

    I wonder if there is any kind of list which cim file contains which model version.

    My Problem is that my SLD lost the SAP CR Content but the model version remaind at 1.6.38.

    I’d like to know which crdelta files need to imported before I can start to update the models, too.

     

    BR,

    Rafael

     

    (0) 

Leave a Reply